package com.hfkj.service;


import com.hfkj.entity.BsDevice;

import java.util.List;
import java.util.Map;

/**
 * 设备管理
 * @author hurui
 */
public interface BsDeviceService {

    /**
     * 编辑设备
     * @param device
     */
    void editDevice(BsDevice device);

    /**
     * 查询设备详情
     * @param deviceId
     * @return
     */
    BsDevice getDetailById(Long deviceId);

    /**
     * 查询设备列表
     * @param param
     * @return
     */
    List<BsDevice> getDeviceList(Map<String, Object> param);

}
